// $Id: StdCollision.hh,v 1.2 2000/04/25 14:26:20 evc Exp $
// -*- C++ -*-
//
// ----------------------------------------------------------------------
// StdCollision.hh
// ----------------------------------------------------------------------
//
#ifndef STDCOLLISION_HH
#define STDCOLLISION_HH

#include <vector>

#include "CLHEP/config/CLHEP.h"
#include "CLHEP/StdHepC++/StdParticle.hh"

HEP_BEGIN_NAMESPACE(StdHep)

class Collision {

public:

  // ---  birth/death:
  //
  Collision( int CollisionEventNumber, int IOStream, int ntries,
                      HepStdVector<Particle*> & pvect );	
  Collision( );
  Collision( const Collision & orig );
  Collision& operator=( const Collision & rhs );
  ~Collision();

  // ---  accessors:
  //
  int CollisionEventNumber()  const  { return itsCollisionEventNumber; }
  int IOStream()              const  { return itsIOStream; }
  int Entries()               const  { return itsEntries; }
  int ListSize()              const  { return itsParticleList.size(); }

  Particle  CollParticle( int i )   const  {  return *(itsParticleList[i]); }

  // ---  mutators:
  //
  void  setCollisionEventNumber ( int evn )     { itsCollisionEventNumber = evn; }
  void  setIOStream             ( int str )     { itsIOStream = str; }
  void  setEntries              ( int ntries )  { itsEntries = ntries; }
  void  appendParticle          ( Particle* p );
private:

  int itsCollisionEventNumber;
  int itsIOStream;
  int itsEntries;
  bool IOwnParticles;
  HepStdVector<Particle*> itsParticleList;

};	// Collision

HEP_END_NAMESPACE(StdHep)
#endif // STDCOLLISION_HH
