// $Id: StdEvent.hh,v 1.3 2000/05/05 19:38:01 garren Exp $
// -*- C++ -*-
//
// ----------------------------------------------------------------------
// StdEvent.hh
// ----------------------------------------------------------------------
#ifndef STDEVENT_HH
#define STDEVENT_HH

#include <vector>

#include "CLHEP/config/CLHEP.h"

#include "CLHEP/StdHepC++/StdCollision.hh"

HEP_BEGIN_NAMESPACE(StdHep)

class Event {

public:

  // ---  birth/death:
  //
  Event( int EventNumber, int NumberParticles, int NumberCollisions,
         HepStdVector<Collision*> & cvect );
  Event( );
  Event( const Event & orig );
  Event& operator=( const Event & );
  ~Event();

  // ---  accessors:
  //
  int          EventNumber()      const  {  return itsEventNumber; }
  int          NumberParticles()  const  {  return itsNumberParticles; }
  int          NumberCollisions() const  {  return itsNumberCollisions; }

  Particle  HEParticle( int i )   const  ;
  Collision HEPCollision( int i ) const  {  return *(itsCollisionList[i]); }

  // ---  mutators:
  //
  void  setEventNumber      ( int nmbr )     { itsEventNumber = nmbr; }
  void  setNumberParticles  ( int ntries )   { itsNumberParticles = ntries; }
  void  setNumberCollisions ( int cnum )     { itsNumberCollisions = cnum; }
  //void  appendParticle      ( Particle* p )  { itsParticleList.push_back( p ); }
  void  appendCollision     ( Collision* c );

  // ---  event translators
  //
  int CopyToTemp( int istr );
  int CopyFromTemp( int istr );
  int FtoCXX( int istr );
  int CXXtoF( int istr );
  int CtoCXX( int istr );
  int CXXtoC( int istr );
  void ZeroHEPEVT( void );

private:

  int itsEventNumber;
  int itsNumberParticles;
  int itsNumberCollisions;
  HepStdVector<Collision*> itsCollisionList;
  
};	// Event

HEP_END_NAMESPACE(StdHep)

#endif // STDEVENT_HH
