// $Id: StdParticleData.hh,v 1.2 2000/04/25 14:26:22 evc Exp $
// -*- C++ -*-
//
// ----------------------------------------------------------------------
//
// StdParticleData.hh
//
// ----------------------------------------------------------------------
#ifndef STDPARTICLEDATA_HH
#define STDPARTICLEDATA_HH

#include <string>

#include "CLHEP/config/CLHEP.h"

HEP_BEGIN_NAMESPACE(StdHep)

class ParticleData  {

public:

  // ---  birth/death:
  //
  ParticleData( int ID, const HepStdString & ParticleName, int Charge,
                double Mass, double Width, double Lifetime, double Spin,
		double Isospin );
  ParticleData( );
  ParticleData( const ParticleData & orig );
  ~ParticleData();

  // ---  accessors:
  //
  int                     ID()           const  {  return itsID; }
  const HepStdString &       ParticleName() const  {  return itsParticleName; }
  int                     Charge()       const  {  return itsCharge; }
  double                  Mass()         const  {  return itsMass; }
  double                  Width()        const  {  return itsWidth; }
  double                  Lifetime()     const  {  return itsLifetime; }
  double                  Spin()         const  {  return itsSpin; }
  double                  Isospin()      const  {  return itsIsospin; }

  // ---  mutators:
  //
  void  setID( int ID )                {  itsID = ID; }
  void  setCharge( int Charge )        {  itsCharge = Charge; }
  void  setMass( double mass )         {  itsMass = mass; }
  void  setWidth( double width )       {  itsWidth = width; }
  void  setLifetime( double lifetime ) {  itsLifetime = lifetime; }
  void  setSpin( double spin )         {  itsSpin = spin; }
  void  setIsospin( double isospin )   {  itsIsospin = isospin; }

private:

  // ---  class-specific data:
  //
  int            itsID;
  HepStdString      itsParticleName;
  int            itsCharge;
  double         itsMass;
  double         itsWidth;
  double         itsLifetime;
  double         itsSpin;
  double         itsIsospin;

  // ---  forbidden operations:
  //
  ParticleData &  operator=( const ParticleData & );

};  // ParticleData

HEP_END_NAMESPACE(StdHep)

#endif // STDPARTICLEDATA_HH
