// $Id: StdRun.hh,v 1.2 2000/04/25 14:26:22 evc Exp $
// -*- C++ -*-
//
// ----------------------------------------------------------------------
// StdRun.hh
// ----------------------------------------------------------------------

//  The basic I/O unit is a run
//  The run contains methods to get the next event

#ifndef STDRUN_HH
#define STDRUN_HH

HEP_BEGIN_NAMESPACE(StdHep)

class Run {

public:


  // ---  accessors:
  //
  virtual int      RunNumber()       const = 0;
  virtual int      EventsGenerated() const = 0;
  virtual int      EventsWritten()   const = 0;

  // ---  mutators:
  //
  virtual void  setRunNumber        ( int runno ) = 0;
  virtual void  setEventsGenerated  ( int ngen )  = 0; 
  virtual void  setEventsWritten    ( int nwrt )  = 0;

  // --- event access should be in this class 
  //
  // here are some examples
  // int InitRead ( char*filename, int& ntries, int& istr );
  // int OpenRead ( char*filename, int& ntries, int& istr );
  // int Read     ( int& ilbl, int istr, StdHep::Event* & evt );
  // int InitWrite(char *filename, char *title, int ntries, int& ist);
  // int Write    (int ilbl, int ist, StdHep::Event* evnt );
  // int WriteEnd (int ist);

  // --- version tracking
  void PrintVersion( void); 

};	// Run

HEP_END_NAMESPACE(StdHep)

#endif // STDRUN_HH
