/* config/CLHEP-powerpc-apple-darwin1.3-c++.h.  Generated automatically by configure.  */
// -*- C++ -*-
// CLASSDOC OFF
// $Id: CLHEP-target.h.in,v 1.12 2000/04/23 16:32:19 evc Exp $
// ---------------------------------------------------------------------------
// CLASSDOC ON
//
// This file is a part of the CLHEP - a Class Library for High Energy Physics.
//
// This file should define some platform dependent features necessary for
// the CLHEP class library. Go through it and change the definition of the
// macros to suit you platform.
//
#ifndef _CLHEP_COMPILER_H_
#define _CLHEP_COMPILER_H_

// Define if your FORTRAN compiler post-pends an underscore on all
// routine names. This is done automatically by the configure script.
#define FORTRAN_PPU 1

// Define if your C++ compiler has STL classes.
// This is done automatically by the configure script.
#define HEP_HAVE_STL 1

// Define if your C++ compiler has STL classes defined in the std namespace.
// This is done automatically by the configure script.
#define HEP_USE_STD_STL 1

// Define if your C++ compiler has I/O streams defined in the std namespace.
// This is done automatically by the configure script.
#define HEP_USE_STD 1

// Define if your C++ compiler has <iosfwd>.
// This is done automatically by the configure script.
#define HEP_HAVE_IOSFWD 1

// Define if your C++ compiler has bool.
// This is done automatically by the configure script.
#define HEP_HAVE_BOOL 1

// Define if your C++ compiler allows empty template parameter
// list (template<>) for full specialization.
// This is done automatically by the configure script.
#define HEP_HAVE_EMPTY_TEMPLATE_PARAMETER_LIST 1

// Define if your C++ compiler supports namespaces.
// This is done automatically by the configure script.
#define HEP_HAVE_NAMESPACE 1

// Define if your C++ compiler has explicit.
// This is done automatically by the configure script.
#define HEP_HAVE_EXPLICIT 1

// Define if your C++ compiler has typename.
// This is done automatically by the configure script.
#define HEP_HAVE_TYPENAME 1

// Define if the definition of the "sqr" template requires parameter
// without const. That was noticed for MS VC++ 5.0.
// This is done automatically by the configure script.
/* #undef HEP_SQR_NEEDS_PARAMETER_WITHOUT_CONST */

// Define if the definition of the "abs" template requires parameter
// without const. That was noticed for g++.
// This is done automatically by the configure script.
/* #undef HEP_ABS_NEEDS_PARAMETER_WITHOUT_CONST */

// Define if your C++ compiler requires the "sub" function (see the
// Matrix/ module) without const. Such a bug was noticed for some
// versions of DEC CXX, SGI CC and HP aCC.
// This is done automatically by the configure script.
/* #undef HEP_CC_NEED_SUB_WITHOUT_CONST */

// Define if your C++ compiler requires that a compare function
// for "qsort" be defined with extern "C" linkage.
// This is done automatically by the configure script.
/* #undef HEP_QSORT_NEEDS_FUNCTION_WITH_EXTERN_C_LINKAGE */

#endif /* _CLHEP_COMPILER_H_ */

